org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Class CheckpointPagesWriterFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.checkpoint.CheckpointPagesWriterFactory

    public class CheckpointPagesWriterFactory
    extends Object

Factory class for checkpoint pages writer. It holds all dependency which is needed for creation of checkpoint writer and recovery checkpoint writer.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `threadBuf(ThreadLocal<ByteBuffer> threadBuf)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### threadBuf

    public void threadBuf(ThreadLocal<ByteBuffer> threadBuf)

Parameters:
  `threadBuf` - Thread local byte buffer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022